Subject: Re: Open-pollinated Seeds
From: [email-masked] (Tracy Aquilla)
Date: Tue, 12 Jul 1994 14:42:28 GMT
Newsgroups: alt.sustainable.agriculture

In Article <[email-masked]>,
[email-masked] (Ed Brant) wrote:
>EB> Last:  Need a source of NOT hybrid seeds.  Something that I can save
>EB> seed from, and reseed yearly.
>CB> Join Seed Savers Exchange:
>CB> 3076 North Winn Road
>CB> Decorah, Iowa 52101
>CB> Membership is $25.00/year
>CB> SSE members share seeds through the mail--paying back postage, and of 
>CB> course  keeping the seeds alive.  Some members are professional 
>CB> seedspersons, others  are gardeners, farmers...  They offer many 
>CB> publications which will help you  learn all you need to know about 
>CB> maintaining your own seeds.
>CB> I wish now that I had gotten a lifetime membership when I first joined.  
>CB> Can't  imagine growing food without this source!
>
>Why, Thank you!  I'll give it a shot.  At least to find out about them.
>$25 is a bit high for me (large family, no job) but we shall see what we shall
>see, eh?
>
>Ed 
>Sphinx XLT/v2.2
Ed,
    Don't fool yourself, Seed Savers Exchange is well worth the money! You
will be repaid many times for this minimal investment.
                                                    Tracy